Subject: Required resources on network driver programming

From: linux lover <[email-masked]>
Date: Sun, 19 Dec 2004 23:45:35 -0800 (PST)

Hi all,
                  I am newbie to Linux kernel
programming. I want to write my own virtual network
device driver that take every packets from IP layer
just print the contents of packet(header part with its
starting addresses only) and send it to actual device
driver for packet transmission and at receiving end
receive packet from NIC card again print the header
addresses and send it to upper layer for normal packet
processing.
                 I require help about where can i get
resources or any book for writing virtual network
driver with SAMPLE EXAMPLES?
regards,
linux_lover

__________________________________ 
Do you Yahoo!? 
Send holiday email and support a worthy cause. Do good. 
http://celebrity.mail.yahoo.com